Module jdk.security.auth
Package com.sun.security.auth

# Class NTUserPrincipal

java.lang.Object
com.sun.security.auth.NTUserPrincipal

All Implemented Interfaces:
  `Serializable`, `Principal`

public class NTUserPrincipal extends Object implements Principal, Serializable
This class implements the `Principal` interface and represents a Windows NT user.

Principals such as this `NTUserPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

See Also:
  - `Principal`
  - `Subject`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NTUserPrincipal(String name)`
Create an `NTUserPrincipal` with a Windows NT username.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
Compares the specified Object with this `NTUserPrincipal` for equality.
`String`
`getName()`
Return the Windows NT username for this `NTPrincipal`.
`int`
`hashCode()`
Return a hash code for this `NTUserPrincipal`.
`String`
`toString()`
Return a string representation of this `NTPrincipal`.

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods declared in interface java.security.Principal

`implies`

## Constructor Details

### NTUserPrincipal

public NTUserPrincipal(String name)
Create an `NTUserPrincipal` with a Windows NT username.

Parameters:
  `name` - the Windows NT username for this user.
Throws:
  `NullPointerException` - if the `name` is `null`.

## Method Details

### getName

public String getName()
Return the Windows NT username for this `NTPrincipal`.

Specified by:
  `getName` in interface `Principal`
Returns:
  the Windows NT username for this `NTPrincipal`

### toString

public String toString()
Return a string representation of this `NTPrincipal`.

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this `NTPrincipal`.

### equals

public boolean equals(Object o)
Compares the specified Object with this `NTUserPrincipal` for equality. Returns true if the given object is also a `NTUserPrincipal` and the two NTUserPrincipals have the same name.

Specified by:
  `equals` in interface `Principal`
Overrides:
  `equals` in class `Object`
Parameters:
  `o` - Object to be compared for equality with this `NTPrincipal`.
Returns:
  true if the specified Object is equal to this `NTPrincipal`.
See Also:
  - `Object.hashCode()`
  - `HashMap`

### hashCode

public int hashCode()
Return a hash code for this `NTUserPrincipal`.

Specified by:
  `hashCode` in interface `Principal`
Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code for this `NTUserPrincipal`.
See Also:
  - `Object.equals(java.lang.Object)`
  - `System.identityHashCode(java.lang.Object)`